# PhasicFlow: positionParticles Class Reference

positionParticles Class Referenceabstract
Inheritance diagram for positionParticles:
[legend]
Collaboration diagram for positionParticles:
[legend]

## Public Member Functions

| TypeInfo ("positionParticles")
| positionParticles (const dictionary &dict)
| create_vCtor (positionParticles, dictionary,(const dictionary &dict),(dict))
virtual | ~positionParticles ()=default
virtual label | numPoints () const =0
virtual label | size () const =0
virtual real | maxDiameter () const =0
virtual const realx3Vector & | position () const =0
virtual realx3Vector & | position ()=0
virtual realx3Vector | getFinalPosition ()

## Static Public Member Functions

static uniquePtr< positionParticles > | create (const dictionary &dict)

## Protected Member Functions

realx3Vector | sortByMortonCode (realx3Vector &position) const

## Protected Attributes

uniquePtr< regionBase > | region_ = nullptr
size_t | maxNumberOfParticles_ = 10000
Logical | mortonSorting_

## Static Protected Attributes

static const size_t | numReports_ = 40

## Detailed Description

Definition at line 102 of file positionParticles.hpp.

## Constructor & Destructor Documentation

## positionParticles()

positionParticles | ( | const dictionary & | dict | ) |

Definition at line 78 of file positionParticles.cpp.

References dictionary::containsDictionay(), dictionary::getValOrSet(), and dictionary::subDict().

Here is the call graph for this function:

## ~positionParticles()

virtual ~positionParticles | ( |  | ) |

virtualdefault

## Member Function Documentation

## sortByMortonCode()

pFlow::realx3Vector sortByMortonCode | ( | realx3Vector & | position | ) | const

protected

Definition at line 31 of file positionParticles.cpp.

References Vector< T, Allocator >::capacity(), Vector< T, Allocator >::clear(), endINFO, INFORMATION, pFlow::max(), positionParticles::maxDiameter(), pFlow::min(), cells< indexType >::pointIndex(), positionParticles::position(), Vector< T, Allocator >::size(), sort(), and pFlow::xyzToMortonCode64().

Here is the call graph for this function:

## TypeInfo()

TypeInfo | ( | "positionParticles" |  | ) |

## create_vCtor()

create_vCtor | ( | positionParticles | ,
|  | dictionary | ,
|  | (const dictionary &dict) | ,
|  | (dict) |
| ) |  |

## numPoints()

virtual label numPoints | ( |  | ) | const

pure virtual

Implemented in positionRandom, positionOrdered, and empty.

## size()

virtual label size | ( |  | ) | const

pure virtual

Implemented in positionRandom, positionOrdered, and empty.

## maxDiameter()

virtual real maxDiameter | ( |  | ) | const

pure virtual

Implemented in positionRandom, positionOrdered, and empty.

Referenced by positionParticles::sortByMortonCode().

Here is the caller graph for this function:

## position() [1/2]

virtual const realx3Vector& position | ( |  | ) | const

pure virtual

Implemented in positionRandom, positionOrdered, and empty.

Referenced by positionParticles::sortByMortonCode().

Here is the caller graph for this function:

## position() [2/2]

virtual realx3Vector& position | ( |  | ) |

pure virtual

Implemented in positionRandom, positionOrdered, and empty.

## getFinalPosition()

pFlow::realx3Vector getFinalPosition | ( |  | ) |

virtual

Definition at line 101 of file positionParticles.cpp.

## create()

pFlow::uniquePtr< pFlow::positionParticles > create | ( | const dictionary & | dict | ) |

static

Definition at line 117 of file positionParticles.cpp.

References fatalError, fatalExit, dictionary::getVal(), and pFlow::printKeys().

Here is the call graph for this function:

## Member Data Documentation

## region_

uniquePtr<regionBase> region_ = nullptr

protected

Definition at line 106 of file positionParticles.hpp.

Referenced by positionRandom::positionOnePass().

## maxNumberOfParticles_

size_t maxNumberOfParticles_ = 10000

protected

Definition at line 108 of file positionParticles.hpp.

## mortonSorting_

Logical mortonSorting_

protected

Definition at line 110 of file positionParticles.hpp.

## numReports_

const size_t numReports_ = 40

staticprotected

Definition at line 112 of file positionParticles.hpp.

The documentation for this class was generated from the following files:

- utilities/particlesPhasicFlow/positionParticles/positionParticles.hpp
- utilities/particlesPhasicFlow/positionParticles/positionParticles.cpp